Fixed build problems with WindowMaker
authorgobo72 <gobo72@364a67c3-989e-7be9-548d-dae8560ea662>
Fri, 29 Oct 2010 19:18:11 +0000 (19:18 +0000)
committergobo72 <gobo72@364a67c3-989e-7be9-548d-dae8560ea662>
Fri, 29 Oct 2010 19:18:11 +0000 (19:18 +0000)
stage4/cis-windowmaker [new file with mode: 0755]
stage4/stage4-install

diff --git a/stage4/cis-windowmaker b/stage4/cis-windowmaker
new file mode 100755 (executable)
index 0000000..09af4f9
--- /dev/null
@@ -0,0 +1,34 @@
+#!/bin/bash
+set -o errexit
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+cd ${LFS_TMP}/${PACKAGE}
+aclocal
+autoheader
+autoconf
+libtoolize --force --automake
+automake -a --gnu --include-deps
+./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --with-gnustepdir=/usr/share/GNUstep \
+    ${CONFIGURE_OPTS}
+make
+make install
+ldconfig
+
+exit $?
index fee1687..92ad186 100755 (executable)
@@ -129,7 +129,7 @@ ipkg_xorg ${XORG_SERVER} "xserver" "\
     --enable-install-setuid"
 
 # newport, vmware, and xgixp drivers cause Xorg -configure to hang
-# To fix this problrem, comment out these drivers in both driver-7.5-2.md5 and driver-7.5-2.wget.
+# To fix this problem, comment out these drivers in both driver-7.5-2.md5 and driver-7.5-2.wget.
 install_xorg_modules ${XORG_DRIVER} --with-xorg-module-dir=${XORG_PREFIX}/lib/X11/modules
 
 ipkg_xorg ${XDM} "app"
@@ -145,7 +145,7 @@ ipkg_cust ${TK}  cis-tk
 # Re-installing python now that tk is present???
 ipkg_ac   ${PYTHON} "--enable-shared"
 
-ipkg_ac   ${WINDOWMAKER} --with-gnustepdir=/usr/share/GNUstep
+ipkg_cust ${WINDOWMAKER} cis-windowmaker
 ipkg_ac   ${WINDOWMAKER_EXTRA}
 
 #source /etc/profile